
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `selfoss219`
--

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]items`
--

CREATE TABLE `[[dbprefix]]items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datetime` datetime NOT NULL,
  `title` text NOT NULL,
  `content` longtext NOT NULL,
  `thumbnail` text,
  `icon` text,
  `unread` tinyint(1) NOT NULL,
  `starred` tinyint(1) NOT NULL,
  `source` int(11) NOT NULL,
  `uid` varchar(255) NOT NULL,
  `link` text NOT NULL,
  `updatetime` datetime NOT NULL,
  `author` varchar(255) DEFAULT NULL,
  `shared` tinyint(1) DEFAULT NULL,
  `lastseen` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `source` (`source`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]sources`
--

CREATE TABLE `[[dbprefix]]sources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `tags` text,
  `spout` text NOT NULL,
  `params` text NOT NULL,
  `filter` text,
  `error` text,
  `lastupdate` int(11) DEFAULT NULL,
  `lastentry` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]tags`
--

CREATE TABLE `[[dbprefix]]tags` (
  `tag` text NOT NULL,
  `color` varchar(7) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]version`
--

CREATE TABLE `[[dbprefix]]version` (
  `version` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `[[dbprefix]]version`
--

INSERT INTO `[[dbprefix]]version` VALUES
(8),
(9),
(10),
(11),
(12),
(13),
(14);

--
-- Triggers `[[dbprefix]]items`
--
DROP TRIGGER IF EXISTS `[[dbprefix]]items_insert_trigger`;
DELIMITER //
CREATE TRIGGER `[[dbprefix]]items_insert_trigger` BEFORE INSERT ON `[[dbprefix]]items`
 FOR EACH ROW BEGIN
                            SET NEW.updatetime = NOW();
                            SET NEW.lastseen = NOW();
                        END
//
DELIMITER ;
DROP TRIGGER IF EXISTS `[[dbprefix]]items_update_trigger`;
DELIMITER //
CREATE TRIGGER `[[dbprefix]]items_update_trigger` BEFORE UPDATE ON `[[dbprefix]]items`
 FOR EACH ROW BEGIN
                        IF (
                            OLD.unread <> NEW.unread OR
                            OLD.starred <> NEW.starred
                        ) THEN
                            SET NEW.updatetime = NOW();
                        END IF;
                    END
//
DELIMITER ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
